Delete Analysis Source - MindBridge Documentation
Delete Analysis Source
DELETE /v1/analysis-sources/{analysisSourceId}
To delete an analysis source, send a DELETE request to the following endpoint:
cURL Example
curl --request DELETE \
--url https://{tenant}.mindbridge.ai/api/v1/analysis-sources/{analysisSourceId} \
--header 'Authorization: Bearer <token>'
Python Example
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/analysis-sources/{analysisSourceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript Example
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mindbridge.ai/api/v1/analysis-sources/{analysisSourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/analysis-sources/{analysisSourceId}",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "DELETE",\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go Example
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/analysis-sources/{analysisSourceId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest Example
HttpResponse<String> response = Unirest.delete("https://{tenant}.mindbridge.ai/api/v1/analysis-sources/{analysisSourceId}")
.header("Authorization", "Bearer <token>")
.asString();
Ruby Example
require 'uri'
require 'net/http'
url = URI("https://{tenant}.mindbridge.ai/api/v1/analysis-sources/{analysisSourceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Authorizations
- Authorization: A required header of the form
Bearer <token>where<token>is your auth token.
Path Parameters
- analysisSourceId: Required string to identify the analysis source to delete.
Response
204 No Content